Module javafx.base
Package javafx.util.converter

## Class ShortStringConverter

- java.lang.Object
- - javafx.util.StringConverter<Short>
  - - javafx.util.converter.ShortStringConverter

-     public class ShortStringConverter
      extends StringConverter<Short>

  `StringConverter` implementation for `Short` values.

  Since:
    JavaFX 2.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShortStringConverter()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Short` | `fromString​(String text)` | Converts the string provided into an object defined by the specific converter.
    `String` | `toString​(Short value)` | Converts the object provided into its string form.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShortStringConverter

          public ShortStringConverter()

  - ### Method Detail

    - #### fromString

          public Short fromString​(String text)

      Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
      Specified by:
        `fromString` in class `StringConverter<Short>`
      Parameters:
        `text` - the `String` to convert
      Returns:
        an object representation of the string passed in.

    - #### toString

          public String toString​(Short value)

      Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
      Specified by:
        `toString` in class `StringConverter<Short>`
      Parameters:
        `value` - the object of type `T` to convert
      Returns:
        a string representation of the object passed in.